resource_rules:
  issues:
    rules:
      - name: Add ~board::build label for issues actively worked on
        conditions:
          state: opened
          forbidden_labels:
            - "board::build"
          labels:
            - "workflow-infra::In Progress"
            - "workflow-infra::Stalled"
            - "workflow-infra::Under Review"
            - "workflow-infra::Verify"
            - "workflow-infra::Done"
        actions:
          labels:
            - "board::build"
      - name: Add ~board::planning label for issues actively worked on
        conditions:
          state: opened
          forbidden_labels:
            - "board::planning"
          labels:
            - "workflow-infra::Triage"
            - "workflow-infra::Proposal"
            - "workflow-infra::Ready"
        actions:
          labels:
            - "board::planning"
